## Character Set (token)

A character set (token) comprises a series of characters that are combined to form a lexical unit. A distinction is made between regular and delimiter tokens.

### Syntax

<token> ::= <regular_token> | <delimiter_token>

<regular_token> ::= <literal> | <key_word> | <identifier> | <parameter_name>

<delimiter_token> ::= <vertical_slash> | , | . | + | - | * | /
| < | > | <> | != | = | <= | >=
| ~= <! for computers with ASCII code !>
| ~< <! for computers with ASCII code !>
| ~> <! for computers with ASCII code !>

<vertical_slash> ::= |

SELECT * FROM reservation
ALTER TABLE reservation DROP FOREIGN KEY customer_reservation
'Reisen10'

### Explanation

Each token can be followed by any number of blanks. Each regular token regular_token must be followed by a delimiter_token or a blank.

Double quotation marks within a special identifier are represented by two consecutive quotation marks.